.skillsContainer{
    padding: 2rem;
    width: 100%;
    height: 100%;
    display: grid;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    overflow: auto;
    scrollbar-width: none;
    overflow-y: auto;
}
.skillCard{
    height: max-content;
    display: flex;
    flex-direction: column;
    background: var(--bg-color);
    align-items: center;
    justify-content: center;
    border-radius: 1rem;
    padding: 1rem 3rem;
    transform-style: preserve-3d;
    transform: perspective(1000px);
}

.skillCard .cardImg img{
    width: 18rem;
    border-top-right-radius: 1rem;
    border-top-left-radius: 1rem;
}

.skillCard .cardTitle {
    margin-top: 1rem;
    font-size: 2rem;
    font-weight: 700;
    color: var(--text-color);
    transform: translateZ(5rem);
}
.skillCard .cardDescription{
    color: var(--text-color);
    font-weight: 500;
    transform: translateZ(4rem);
    max-height: 4.5em;
    overflow: hidden;
    transition: max-height 0.3s ease;
}

.skillCard .cardProgress{
    margin-top: 1rem;
    width: 100%;
    height: 1rem;
    border-radius: .5rem;
    transform: translateZ(3rem);
}

.skillCard .cardProgress .progressBar{
    width: 100%;
    height: 1rem;
    border-radius: 1rem;
    background-color: var(--second-bg-color);
    transform: translateZ(3rem);
}
.skillCard .cardProgress .progressBar .progress{
    width: 0;
    height: 100%;
    border-radius: 1rem;
    transition: width 0.1s ease-out;
    background: linear-gradient(270deg, var(--min-text-color), var(--main-color) 25%, var(--text-color) 50%, var(--main-color) 75%, var(--min-text-color) 100%);
    background-size: 400% 400%; 
    animation: gradientProgress 5s linear infinite; 
    transform: translateZ(3rem);
}
.toggle-checkbox {
    display: none;
}

.toggle-label {
    cursor: pointer;
    color: var(--min-text-color);
    margin-top: 0.5em;
    display: inline-block;
    transform: translateZ(4rem);
}

.toggle-checkbox:checked + .toggle-label + .cardDescription {
    max-height: none;
}